中文

错误:设备不兼容

错误消息

尝试从 Google Play 或 Amazon App 商店安装或升级 Collector for ArcGIS (Android) 失败并返回以下错误消息:

错误: 
设备不兼容。

尽管 Android 设备满足最低系统要求,但仍将返回错误消息。

原因

此问题无可识别原因,并且在非 ArcGIS 应用程序中(例如: Instagram、Facebook)也会出现此问题。

解决方案或解决方法

按照下列步骤从 Google Play 和 Amazon App 商店之外安装应用程序:

  1. 通过 Windows 计算机上的 web 浏览器转至 Collector for ArcGIS 下载页面
    :
    要下载 Collector for ArcGIS 安装程序,需要有效的 Esri 帐户。
    
  2. 选择软件下拉菜单中选择 Collector for ArcGIS。

    Image of the Select software drop-down menu
     
  3. 单击可执行文件并下载适用于 Android 的 Collector Classic for ArcGIS。 使用有效的 Esri 帐户登录以继续下载。

    Image of the list of executable files for Collector for ArcGIS
     
  4. 运行可执行文件。 这会将 Collector for ArcGIS 文件提取到包含 Android 工具包 (.apk) 文件的文件夹。
  5. 将 .apk 文件传输到 Android 设备以安装 Collector for ArcGIS。
  6. 禁用 Android 设备上的安全性设置以允许安装 Collector for ArcGIS。
    :
    默认情况下,Android 设备不允许从合法应用程序商店之外安装应用程序。 禁用这些安全性设置的步骤在不同设备上略有不同。
    
    1. 点击设置图标。
    2. 选择安全性并滚动至未知来源
    3. 点击允许从 Google Play 商店以外的来源安装应用程序,以在应用程序商店之外安装应用程序。 如果系统提示未知来源对话框,请单击确定

      Image of the Security and Unknown Sources screen on Android devices
       
  7. 启动 .apk 文件以开始安装 Collector for ArcGIS。 查看权限并点击安装
    :
    安装软件后,返回安全性设置以禁用从应用程序商店之外安装应用程序。 建议使用此方法以防止意外安装不需要的应用程序。
    

相关信息